OpenJPEG: opj_mqc Struct Reference

OpenJPEG 2.1.2

Data Fields
opj_mqc Struct Reference
MQC - Implementation of an MQ-Coder

MQ coder. More...

`#include <mqc.h>`

## Data Fields
OPJ_UINT32 | c
OPJ_UINT32 | a
OPJ_UINT32 | ct
OPJ_BYTE * | bp
OPJ_BYTE * | start
OPJ_BYTE * | end
opj_mqc_state_t * | ctxs [MQC_NUMCTXS]
opj_mqc_state_t ** | curctx

## Detailed Description

MQ coder.

## Field Documentation

## ◆ a

OPJ_UINT32 opj_mqc::a

Referenced by opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_decode(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_lpsexchange(), opj_mqc_mpsexchange(), opj_mqc_renormd(), opj_mqc_renorme(), opj_mqc_restart_init_enc(), and opj_mqc_setbits().

## ◆ bp

OPJ_BYTE* opj_mqc::bp

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bytein(), opj_mqc_byteout(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_lpsexchange(), opj_mqc_numbytes(), and opj_mqc_restart_init_enc().

## ◆ c

OPJ_UINT32 opj_mqc::c

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bypass_init_enc(), opj_mqc_bytein(), opj_mqc_byteout(), opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_decode(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_lpsexchange(), opj_mqc_renormd(), opj_mqc_renorme(), opj_mqc_restart_enc(), opj_mqc_restart_init_enc(), and opj_mqc_setbits().

## ◆ ct

OPJ_UINT32 opj_mqc::ct

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bypass_init_enc(), opj_mqc_bytein(), opj_mqc_byteout(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_lpsexchange(), opj_mqc_renormd(), opj_mqc_renorme(), opj_mqc_restart_enc(), and opj_mqc_restart_init_enc().

## ◆ ctxs

opj_mqc_state_t* opj_mqc::ctxs[MQC_NUMCTXS]

Referenced by opj_mqc_resetstates(), and opj_mqc_setstate().

## ◆ curctx

opj_mqc_state_t** opj_mqc::curctx

Referenced by opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_decode(), opj_mqc_encode(), opj_mqc_lpsexchange(), and opj_mqc_mpsexchange().

## ◆ end

OPJ_BYTE* opj_mqc::end

Referenced by opj_mqc_bytein(), and opj_mqc_init_dec().

## ◆ start

OPJ_BYTE* opj_mqc::start

Referenced by opj_mqc_byteout(), opj_mqc_init_dec(), opj_mqc_init_enc(), and opj_mqc_numbytes().

The documentation for this struct was generated from the following file:

- mqc.h